using System;
using UnityEngine;

namespace UnityGoDiceInterface {
    public class UnityDieColors {
        public static Color ColorFromDieColor(DieColor dieColor) {
            switch (dieColor) {
                case DieColor.DieColorBlack: return Color.black;
                case DieColor.DieColorRed: return Color.red;
                case DieColor.DieColorGreen: return Color.green;
                case DieColor.DieColorBlue: return Color.blue;
                case DieColor.DieColorYellow: return Color.yellow;
                case DieColor.DieColorOrange: return new Color(1.0f, 0.5f, 0.0f);
                default: throw new ArgumentOutOfRangeException(nameof(dieColor), dieColor, null);
            }
        }
    }
}